From abff2d5ed04414d733c2ba4dfcd67b0c022dba5c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 31 2020 04:20:07 +0000
Subject: [PATCH 1097/2232] Rewrap name struct comments to 80 columns


---

diff --git a/syntax/mod.rs b/syntax/mod.rs
index 12d8178..4f9815d 100644
--- a/syntax/mod.rs
+++ b/syntax/mod.rs
@@ -183,26 +183,25 @@ pub enum Lang {
     Rust,
 }
 
-/// A type with a defined Rust name and a fully resolved,
-/// qualified, namespaced, C++ name.
+// A type with a defined Rust name and a fully resolved, qualified, namespaced,
+// C++ name.
 #[derive(Clone)]
 pub struct Pair {
     pub cxx: CppName,
     pub rust: Ident,
 }
 
+// A C++ identifier in a particular namespace. It is intentional that this does
+// not impl Display, because we want to force users actively to decide whether
+// to output it as a qualified name or as an unqualfiied name.
 #[derive(Clone)]
-/// A C++ identifier in a particular namespace.
-/// It is intentional that this does not impl Display,
-/// because we want to force users actively to decide whether to output
-/// it as a qualified name or as an unqualfiied name.
 pub struct CppName {
     pub ns: Namespace,
     pub ident: Ident,
 }
 
-/// Wrapper for a type which needs to be resolved
-/// before it can be printed in C++.
+// Wrapper for a type which needs to be resolved before it can be printed in
+// C++.
 #[derive(Clone, Eq, PartialEq, Hash, Ord, PartialOrd)]
 pub struct ResolvableName {
     pub rust: Ident,

